## kdeconnect 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Release Service Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kdeconnect VERSION ${RELEASE_SERVICE_VERSION})

if (SAILFISHOS)
    set(KF5_MIN_VERSION "5.36.0")
    set(QT_MIN_VERSION "5.6.0")
else()
    set(KF5_MIN_VERSION "5.71.0")
    set(QT_MIN_VERSION "5.10.0")
endif()
set(QCA_MIN_VERSION "2.1.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(CMAKE_C_STANDARD 99)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include(KDEInstallDirs)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMSetupVersion)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMGenerateQmlTypes)
if (NOT SAILFISHOS)
    include(ECMQMLModules)
endif()

include(KDEConnectMacros.cmake)

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KDECONNECT
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/kdeconnect-version.h
)

# Make the version header available by linking against kdeconnectversion
add_library(kdeconnectversion INTERFACE)
target_include_directories(kdeconnectversion INTERFACE ${CMAKE_CURRENT_BINARY_DIR})

if (SAILFISHOS)
    set(KF5_REQUIRED_COMPONENTS I18n CoreAddons Config)
    set(KF5_OPTIONAL_COMPONENTS)

    set(Qca_LIBRARY CONAN_PKG::Qca-qt5)

    add_definitions(-DSAILFISHOS)
else()
    find_package(Qca-qt5 ${QCA_MIN_VERSION} REQUIRED)
    set(Qca_LIBRARY qca-qt5)

    set(KF5_REQUIRED_COMPONENTS I18n ConfigWidgets DBusAddons IconThemes Notifications KIO KCMUtils Service Solid Kirigami2 People WindowSystem)
    set(KF5_OPTIONAL_COMPONENTS DocTools Wayland)

    set_package_properties(KF5Kirigami2 PROPERTIES
        DESCRIPTION "QtQuick plugins to build user interfaces based on KDE UX guidelines"
        PURPOSE "Required for KDE Connect's QML-based GUI applications"
        URL "https://www.kde.org/products/kirigami/"
        TYPE RUNTIME
    )

    if(UNIX AND NOT APPLE)
        find_package(KF5Package REQUIRED)
        find_package(KF5PulseAudioQt)
    endif()

    find_package(KF5PeopleVCard)
    set_package_properties(KF5PeopleVCard PROPERTIES
        PURPOSE "Read vcards from the file system"
        URL "https://invent.kde.org/pim/kpeoplevcard"
        TYPE RUNTIME
    )

    add_definitions(-DHAVE_KIO)

    #ecm_find_qmlmodule(org.kde.people 1.0) FIXME This results in KPeople code being called which triggers DBus calls which breaks the Windows CI
    ecm_find_qmlmodule(QtQuick.Particles 2.0)

endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING -DQT_NO_KEYWORDS -DQT_NO_CAST_FROM_ASCII)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS DBus Quick QuickControls2 Network Multimedia)
if (UNIX AND NOT APPLE)
    find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS X11Extras)
endif()
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS ${KF5_REQUIRED_COMPONENTS})
if (KF5_OPTIONAL_COMPONENTS)
    find_package(KF5 ${KF5_MIN_VERSION} OPTIONAL_COMPONENTS ${KF5_OPTIONAL_COMPONENTS})
endif()

if (WIN32)
    get_filename_component(WINDOWS_KITS_DIR
        "[HKEY_LOCAL_MACHINE\\SOFTWARE\\Microsoft\\Windows Kits\\Installed Roots;KitsRoot10]" ABSOLUTE)
    file(READ "${WINDOWS_KITS_DIR}/SDKManifest.xml" SDK_MANIFEST)
    string(REGEX MATCH "PlatformIdentity[^\n]*" PLATFORM_IDENTITY "${SDK_MANIFEST}" )
    string(REGEX MATCH "[0-9][0-9][0-9][0-9][0-9]" WIN_SDK_VERSION "${PLATFORM_IDENTITY}" )
    add_compile_definitions(WIN_SDK_VERSION=${WIN_SDK_VERSION})
endif()

if (NOT ZSH_AUTOCOMPLETE_DIR)
set(ZSH_AUTOCOMPLETE_DIR "${KDE_INSTALL_DATADIR}/zsh/site-functions")
endif()

option(APPLE_IN_APP_BUNDLE "Use private dbus session for kdeconnect" OFF)
if(APPLE_IN_APP_BUNDLE)
    add_compile_definitions(USE_PRIVATE_DBUS)
endif()

add_subdirectory(core)
add_subdirectory(plugins)
add_subdirectory(interfaces)

if (NOT SAILFISHOS)

    find_package(KF5QQC2DesktopStyle ${KF5_MIN_VERSION} REQUIRED)
    set_package_properties(KF5QQC2DesktopStyle PROPERTIES TYPE RUNTIME)

    add_subdirectory(icons)
    add_subdirectory(data)
    add_subdirectory(cli)
    add_subdirectory(declarativeplugin)

    add_subdirectory(kcm)
    add_subdirectory(kcmplugin)
    add_subdirectory(daemon)
    add_subdirectory(app)
    add_subdirectory(indicator)
    add_subdirectory(urlhandler)
    add_subdirectory(nautilus-extension)
    add_subdirectory(fileitemactionplugin)
    add_subdirectory(smsapp)
    add_subdirectory(settings)

    if(NOT WIN32 AND NOT APPLE)
        add_subdirectory(kio)
        add_subdirectory(plasmoid)
    endif()
endif()

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ecm_qt_install_logging_categories(EXPORT kdeconnect-kde FILE kdeconnect-kde.categories SORT DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== data/CMakeLists.txt ===
install (FILES "kdeconnect.contract" DESTINATION ${KDE_INSTALL_DATADIR}/contractor/)
install (FILES "kdeconnect-thunar.desktop" DESTINATION ${KDE_INSTALL_DATADIR}/Thunar/sendto/)
install(PROGRAMS org.kde.kdeconnect_open.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install (FILES "kdeconnect-dde.desktop" DESTINATION ${KDE_INSTALL_DATADIR}/deepin/dde-file-manager/oem-menuextensions/)

if(NOT SAILFISHOS)
    install(FILES org.kde.kdeconnect.kcm.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
endif()

=== declarativeplugin/CMakeLists.txt ===
add_library(kdeconnectdeclarativeplugin SHARED
    kdeconnectdeclarativeplugin.cpp
    responsewaiter.cpp
    objectfactory.cpp
    pointerlocker.cpp
    resources.qrc
)
target_link_libraries(kdeconnectdeclarativeplugin
    Qt5::Qml
    kdeconnectinterfaces
    kdeconnectcore
)

if (TARGET KF5::WaylandClient)
    target_sources(kdeconnectdeclarativeplugin PRIVATE pointerlockerwayland.cpp)
    target_link_libraries(kdeconnectdeclarativeplugin KF5::WaylandClient)
    target_compile_definitions(kdeconnectdeclarativeplugin PRIVATE -DWITH_WAYLAND=1)
else()
    target_compile_definitions(kdeconnectdeclarativeplugin PRIVATE -DWITH_WAYLAND=0)
endif()

install(TARGETS kdeconnectdeclarativeplugin DESTINATION ${QML_INSTALL_DIR}/org/kde/kdeconnect)
install(FILES qmldir DESTINATION ${QML_INSTALL_DIR}/org/kde/kdeconnect)

ecm_generate_qmltypes(org.kde.kdeconnect 1.0 DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kdeconnect)

# So qml apps using this plugin can be run from build/bin directory
add_custom_target(copy_to_build_dir_bin)
file(MAKE_DIRECTORY ${CMAKE_BINARY_DIR}/bin/org/kde/kdeconnect)
add_custom_command(TARGET copy_to_build_dir_bin
                   COMMAND ${CMAKE_COMMAND} -E
                   copy ${CMAKE_CURRENT_SOURCE_DIR}/qmldir ${CMAKE_BINARY_DIR}/bin/org/kde/kdeconnect/)
add_dependencies(kdeconnectdeclarativeplugin copy_to_build_dir_bin)
set_target_properties(kdeconnectdeclarativeplugin
    PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/bin/org/kde/kdeconnect/
)

=== kcm/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kcm")

set(kcm_SRCS
    kcm.cpp
)

ki18n_wrap_ui(kcm_SRCS kcm.ui)

add_library(kcm_kdeconnect MODULE ${kcm_SRCS})

target_link_libraries(kcm_kdeconnect
    Qt5::Core
    Qt5::Gui
    KF5::I18n
    KF5::KCMUtils
    kdeconnectinterfaces
    kdeconnectversion
)

install(TARGETS kcm_kdeconnect DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_kdeconnect.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== kcmplugin/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdeconnect-core\")

add_library(kdeconnectpluginkcm kdeconnectpluginkcm.cpp)
target_link_libraries(kdeconnectpluginkcm
PUBLIC
    kdeconnectcore
PRIVATE
    Qt5::DBus
    Qt5::Gui
    KF5::I18n
    KF5::ConfigCore
    KF5::KCMUtils
)

set_target_properties(kdeconnectpluginkcm PROPERTIES
    VERSION ${KDECONNECT_VERSION}
    SOVERSION ${KDECONNECT_VERSION_MAJOR}
)

generate_export_header(kdeconnectpluginkcm EXPORT_FILE_NAME kdeconnectpluginkcm_export.h BASE_NAME kdeconnectpluginkcm)

# Remove NAMELINK_SKIP if/when headers are being installed and the library becomes public.
install(TARGETS kdeconnectpluginkcm EXPORT kdeconnectLibraryTargets ${INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)

=== kio/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-kio")

set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER kdeconnectkio_debug.h
    IDENTIFIER KDECONNECT_KIO CATEGORY_NAME kdeconnect.kio
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (kio)")

set(kio_kdeconnect_PART_SRCS
   kiokdeconnect.cpp
   ${debug_file_SRCS}
)

add_library(kio_kdeconnect MODULE ${kio_kdeconnect_PART_SRCS})

target_link_libraries(kio_kdeconnect
    kdeconnectinterfaces
    Qt5::Core
    Qt5::Network
    KF5::KIOCore
    KF5::I18n
)

########### install files ###############
set_target_properties(kio_kdeconnect PROPERTIES OUTPUT_NAME "kdeconnect")
set_target_properties(kio_kdeconnect PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/kf5/kio")
install(TARGETS kio_kdeconnect DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/kio)

=== settings/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN="kdeconnect-settings")

qt5_add_resources(kdeconnect_custom_icons_SRCS ${CMAKE_SOURCE_DIR}/icons/custom_icons.qrc)

add_executable(kdeconnect-settings
    main.cpp
    ${kdeconnect_custom_icons_SRCS}
)

target_link_libraries(kdeconnect-settings kdeconnectversion KF5::I18n KF5::KCMUtils KF5::DBusAddons)

install(TARGETS kdeconnect-settings ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.kdeconnect-settings.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== smsapp/CMakeLists.txt ===
set(smshelper_debug_file_SRCS)
ecm_qt_declare_logging_category(
    smshelper_debug_file_SRCS HEADER smshelper_debug.h
    IDENTIFIER KDECONNECT_SMS_SMSHELPER CATEGORY_NAME kdeconnect.sms.smshelper
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (smshelper)")

set(sms_debug_files_SRCS)
ecm_qt_declare_logging_category(
    sms_debug_files_SRCS HEADER sms_conversation_debug.h
    IDENTIFIER KDECONNECT_SMS_CONVERSATION_MODEL CATEGORY_NAME kdeconnect.sms.conversation
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (sms conversation model)")

ecm_qt_declare_logging_category(
    sms_debug_files_SRCS HEADER sms_conversations_list_debug.h
    IDENTIFIER KDECONNECT_SMS_CONVERSATIONS_LIST_MODEL CATEGORY_NAME kdeconnect.sms.conversations_list
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (sms conversations list)")

add_library(kdeconnectsmshelper STATIC
    smshelper.cpp
    gsmasciimap.cpp
    ${smshelper_debug_file_SRCS}
)

target_include_directories(kdeconnectsmshelper PUBLIC ${CMAKE_SOURCE_DIR})

target_link_libraries(kdeconnectsmshelper
    PUBLIC
    Qt5::Core
    Qt5::DBus
    KF5::People
    Qt5::Qml
    kdeconnectinterfaces
)

qt5_add_resources(kdeconnect_custom_icons_SRCS ${CMAKE_SOURCE_DIR}/icons/custom_icons.qrc)

add_executable(kdeconnect-sms
    main.cpp
    conversationlistmodel.cpp
    conversationmodel.cpp
    conversationssortfilterproxymodel.cpp
    resources.qrc
    thumbnailsprovider.cpp
    attachmentinfo.cpp
    ${kdeconnect_custom_icons_SRCS}
    ${sms_debug_files_SRCS})

target_link_libraries(kdeconnect-sms
    kdeconnectsmshelper
    kdeconnectinterfaces
    kdeconnectversion
    Qt5::Quick
    Qt5::QuickControls2
    Qt5::Widgets
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::I18n
    KF5::People
    KF5::KCMUtils
    )

install(TARGETS kdeconnect-sms ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kdeconnect.sms.desktop DESTINATION ${KDE_INSTALL_APPDIR})

=== urlhandler/CMakeLists.txt ===
ki18n_wrap_ui(telhandler_SRCS dialog.ui)

qt5_add_resources(kdeconnect_custom_icons_SRCS ${CMAKE_SOURCE_DIR}/icons/custom_icons.qrc)

add_executable(kdeconnect-handler kdeconnect-handler.cpp ${telhandler_SRCS} ${kdeconnect_custom_icons_SRCS})


target_link_libraries(kdeconnect-handler
    kdeconnectinterfaces
    kdeconnectcore
    kdeconnectversion
    Qt5::Widgets
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::I18n
    KF5::KIOCore KF5::KIOFileWidgets KF5::KIOWidgets KF5::KIONTLM
)

install(TARGETS kdeconnect-handler ${INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.kdeconnect.handler.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )

=== plugins/clipboard/CMakeLists.txt ===
if(UNIX AND NOT APPLE)
    find_package(QtWaylandScanner REQUIRED)
    find_package(Wayland 1.15 COMPONENTS Client)
    find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS WaylandClient)
endif()

set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER plugin_clipboard_debug.h
    IDENTIFIER KDECONNECT_PLUGIN_CLIPBOARD CATEGORY_NAME kdeconnect.plugin.clipboard
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (plugin clipboard)")

set(kdeconnect_clipboard_SRCS
    clipboardplugin.cpp
    clipboardlistener.cpp
    ${debug_file_SRCS}
)

if(UNIX AND NOT APPLE)
    list(APPEND kdeconnect_clipboard_SRCS datacontrol.cpp)
    ecm_add_qtwayland_client_protocol(kdeconnect_clipboard_SRCS
        PROTOCOL  wlr-data-control-unstable-v1.xml
        BASENAME wlr-data-control-unstable-v1
    )
    set(kdeconnect_clipboard_WL_LINK_LIBS Qt5::GuiPrivate # for native interface to get wl_seat
    Wayland::Client Qt::WaylandClient)
endif()


kdeconnect_add_plugin(kdeconnect_clipboard SOURCES ${kdeconnect_clipboard_SRCS})

target_link_libraries(kdeconnect_clipboard kdeconnectcore
                                    Qt5::Gui
                                    ${kdeconnect_clipboard_WL_LINK_LIBS}
                                    )

=== plugins/findthisdevice/CMakeLists.txt ===
set(debug_file_SRCS)
ecm_qt_declare_logging_category(
    debug_file_SRCS HEADER plugin_findthisdevice_debug.h
    IDENTIFIER KDECONNECT_PLUGIN_FINDTHISDEVICE CATEGORY_NAME kdeconnect.plugin.findthisdevice
    DEFAULT_SEVERITY Warning
    EXPORT kdeconnect-kde DESCRIPTION "kdeconnect (plugin findthisdevice)")

set(kdeconnect_findthisdevice_SRCS
    findthisdeviceplugin.cpp
    ${debug_file_SRCS}
)

kdeconnect_add_plugin(kdeconnect_findthisdevice
    SOURCES ${kdeconnect_findthisdevice_SRCS})

target_link_libraries(kdeconnect_findthisdevice
    kdeconnectcore
    Qt5::Core
    Qt5::Multimedia
    Qt5::DBus
)

if (NOT WIN32)
    target_link_libraries(kdeconnect_findthisdevice
        KF5::PulseAudioQt
    )
endif()

set(kdeconnect_findthisdevice_config_SRCS findthisdevice_config.cpp)
ki18n_wrap_ui(kdeconnect_findthisdevice_config_SRCS findthisdevice_config.ui)

add_library(kdeconnect_findthisdevice_config MODULE ${kdeconnect_findthisdevice_config_SRCS} ${debug_file_SRCS})
target_link_libraries(kdeconnect_findthisdevice_config
    kdeconnectpluginkcm
    Qt5::Multimedia
    KF5::I18n
    KF5::CoreAddons
    KF5::ConfigWidgets
    KF5::KIOWidgets     # KUrlRequester
)

install(TARGETS kdeconnect_findthisdevice_config DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES kdeconnect_findthisdevice_config.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== plugins/mousepad/CMakeLists.txt ===
kdeconnect_add_plugin(kdeconnect_mousepad SOURCES mousepadplugin.cpp abstractremoteinput.cpp)

if(UNIX AND NOT APPLE)
    find_package(KF5 ${KF5_MIN_VERSION} QUIET OPTIONAL_COMPONENTS Wayland)

    find_package(LibFakeKey QUIET)
    set_package_properties(LibFakeKey PROPERTIES DESCRIPTION "fake key events"
                        URL "https://www.yoctoproject.org/tools-resources/projects/matchbox"
                        TYPE OPTIONAL
                        PURPOSE "Needed for the remote mousepad plugin"
                        )
    if (LibFakeKey_FOUND)
        find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS X11Extras)
        find_package(XTest REQUIRED)
        find_package(X11 REQUIRED)
        target_include_directories(kdeconnect_mousepad PRIVATE ${XTEST_INCLUDE_DIRS} ${X11_INCLUDE_DIR} ${LibFakeKey_INCLUDE_DIRS})
    endif()
endif()

set(HAVE_WINDOWS ${WIN32})
set(HAVE_X11 ${LibFakeKey_FOUND})
set(HAVE_WAYLAND ${KF5Wayland_FOUND})
set(HAVE_MACOS ${APPLE})
configure_file(config-mousepad.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-mousepad.h )

target_link_libraries(kdeconnect_mousepad kdeconnectcore Qt5::Gui KF5::I18n)

if (HAVE_WINDOWS)
    target_sources(kdeconnect_mousepad PUBLIC windowsremoteinput.cpp)
endif()

if(HAVE_WAYLAND)
    target_sources(kdeconnect_mousepad PUBLIC waylandremoteinput.cpp)
    target_link_libraries(kdeconnect_mousepad KF5::WaylandClient)
endif()

if(HAVE_X11)
    target_sources(kdeconnect_mousepad PUBLIC x11remoteinput.cpp)
    target_link_libraries(kdeconnect_mousepad Qt5::X11Extras ${X11_LIBRARIES} ${XTEST_LIBRARIES} ${LibFakeKey_LIBRARIES})
endif()

if (HAVE_MACOS)
    target_sources(kdeconnect_mousepad PUBLIC macosremoteinput.mm)
    target_link_libraries(kdeconnect_mousepad "-framework CoreGraphics" "-framework ApplicationServices" "-framework Cocoa")
endif()

=== debian/changelog ===
kdeconnect (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:08 +0000

kdeconnect (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:15:36 +0000

kdeconnect (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:26 +0000

kdeconnect (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:29 +0000

kdeconnect (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:04:40 +0000

kdeconnect (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:15:47 +0000

kdeconnect (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update build deps from cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:24:59 +0000

kdeconnect (21.08.3-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Don't depend for now on fuse3 or sshfs >= 3 until fuse3
      transition is complete in Ubuntu.
    - Runtime depend on qml-module-org-kde-qqc2desktopstyle.

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Nov 2021 09:47:29 +0000

kdeconnect (21.08.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:46 +0000

kdeconnect (21.08.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against libkf5pulseaudioqt3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 07:39:19 +0000

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kirigami2-dev (>= 5.71.0~),
               libfakekey-dev,
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5kcmutils-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5package-dev,
               libkf5people-dev (>= 5.71.0~),
               libkf5pulseaudioqt-dev,
               libkf5qqc2desktopstyle-dev,
               libkf5service-dev (>= 5.71.0~),
               libkf5solid-dev (>= 5.71.0~),
               libkf5wayland-dev (>= 4:5.71.0~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqt5waylandclient5-dev (>= 5.10.0~),
               libqt5x11extras5-dev (>= 5.10.0~),
               libwayland-bin,
               libwayland-dev (>= 1.15~),
               libx11-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.10.0~),
               qtbase5-private-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
               qtmultimedia5-dev (>= 5.10.0~),
               qtquickcontrols2-5-dev (>= 5.10.0~),
               qtwayland5-dev-tools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde

Package: kdeconnect
Architecture: any
Depends: kpeople-vcard,
         libqca-qt5-2-plugins,
         plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-people,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qt-labs-platform,
         qml-module-qtgraphicaleffects,
         qml-module-qtmultimedia,
         qml-module-qtqml,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-particles2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         sshfs,
         ${misc:Depends},
         ${shlibs:Depends},
Description: connect smartphones to your desktop devices
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.

Package: nautilus-kdeconnect
Architecture: all
Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends}
Enhances: nautilus
Breaks: kdeconnect (<< 20.12)
Replaces: kdeconnect (<< 20.12)
Description: KDE Connect integration for Nautilus
 Extension providing integration to send files to KDE Connect compatible
 devices directly from within Nautilus.

## kdeconnect 22.08.2

=== debian/changelog ===
kdeconnect (22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:14:19 +0100

kdeconnect (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:38:36 +0100

kdeconnect (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Build depend on plasma-wayland-protocols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:39 +0100

kdeconnect (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Patch for nautilus 43 compatibility

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 17 Aug 2022 10:55:14 -0700

kdeconnect (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:04 +0100

kdeconnect (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:03 +0100

kdeconnect (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:57:25 +0100

kdeconnect (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:46:32 +0100

=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
                libxtst-dev,
                pkg-config,
                pkg-kde-tools,
+               plasma-wayland-protocols,
                qtbase5-dev (>= 5.10.0~),
                qtbase5-private-dev (>= 5.10.0~),
                qtdeclarative5-dev (>= 5.10.0~),

## kdeconnect 22.12.1

=== debian/changelog ===
kdeconnect (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:05:20 +0100

kdeconnect (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:36 +0100

kdeconnect (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Update the list of installed files from build logs.
  * Update the list of installed files from build logs.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Drop patch nautilus-43-compat.patch, applied upstream.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:53 +0100

kdeconnect (21.12.3-2) unstable; urgency=medium

  * Team upload.
  * Backport patch to fix Nautilus 43 compatibility (Closes: #1018884).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 03 Sep 2022 13:18:07 -0300

kdeconnect (21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libkf5package-dev
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:02:06 +0100

=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.96.0~),
               gettext,
               kirigami2-dev (>= 5.96.0~),
               kpeople-vcard,
               libfakekey-dev,
               libkf5configwidgets-dev (>= 5.96.0~),
               libkf5dbusaddons-dev (>= 5.96.0~),
               libkf5doctools-dev (>= 5.96.0~),
               libkf5guiaddons-dev (>= 5.96.0~),
               libkf5i18n-dev (>= 5.96.0~),
               libkf5iconthemes-dev (>= 5.96.0~),
               libkf5kcmutils-dev (>= 5.96.0~),
               libkf5kio-dev (>= 5.96.0~),
               libkf5notifications-dev (>= 5.96.0~),
               libkf5package-dev (>= 5.71.0~),
               libkf5people-dev (>= 5.96.0~),
               libkf5pulseaudioqt-dev,
               libkf5qqc2desktopstyle-dev (>= 5.96.0~),
               libkf5service-dev (>= 5.96.0~),
               libkf5solid-dev (>= 5.96.0~),
               libkf5wayland-dev (>= 4:5.96.0~),
               libkf5windowsystem-dev (>= 5.96.0~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqt5waylandclient5-dev (>= 5.10.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libwayland-dev (>= 1.9~),
               libx11-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               plasma-wayland-protocols,
               qtbase5-dev (>= 5.15.2~),
               qtbase5-private-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtmultimedia5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
               qtwayland5-dev-tools,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdeconnect.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdeconnect

Package: kdeconnect
Architecture: any
Depends: fuse3 (>= 3),
         kpeople-vcard,
         libqca-qt5-2-plugins,
         plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-people,
         qml-module-qt-labs-platform,
         qml-module-qtgraphicaleffects,
         qml-module-qtmultimedia,
         qml-module-qtqml,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-particles2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         sshfs (>= 3),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: fuse (<< 3)
Description: connect smartphones to your desktop devices
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.

Package: nautilus-kdeconnect
Architecture: all
Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends}
Enhances: nautilus
Breaks: kdeconnect (<< 20.12)
Replaces: kdeconnect (<< 20.12)
Description: KDE Connect integration for Nautilus
 Extension providing integration to send files to KDE Connect compatible
 devices directly from within Nautilus.
